/usr/lib/cups/filter/hpcups assertion failure when plugging in a HP LaserJet M1132 MFP printer/scanner

Bug #1769501 reported by Ian Bruntlett on 2018-05-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned
hplip (Ubuntu)
Undecided
Unassigned

Bug Description

Installed Ubuntu 18.04 64-bit on lenovo ThinkPad T420 (hostname: newton). Intel i5-2520m 2.5GHz 64-bit CPU, 8GiB RAM, 298GiB hard drive, DVD writer, Ethernet and WiFi connections.

Attached my LaserJet, Ubuntu ran some software to install the printer (probably trying to run the HP software) and /usr/lib/cups/filter/hpcups crashed with the assertion failure: free(): invalid pointer.

Rebooted, installed package hplip-gui, ran sudo hp-setup – it needed to ask me (the user) some questions. That kept it happy and it ran successfully.

I ended up with two similarly named HP Printers. Printed to the right one and it worked. Renamed the other one to avoid confusion whilst printing.

William Grant (wgrant) on 2018-05-07
affects: auditor → ubuntu
Paul White (paulw2u) on 2018-05-12
affects: ubuntu → hplip (Ubuntu)
tags: added: bionic
srinivas (srinivas5) wrote :

Hi Ian Bruntlett,

May i know the hplip version you are using. We have to use 3.18.4 HPLIP version or greater version for Ubuntu 18.04.
And to install please follow the below steps
1.Goto https://developers.hp.com/hp-linux-imaging-and-printing/gethplip and download and install the latest driver and plugin for Ubuntu distro.
2.Do hp-setup to add device.

Thanks,
Srinivas Teja.

Changed in hplip:
status: New → In Progress
Changed in hplip (Ubuntu):
status: New → In Progress

Hi srinivas,

Apologies for the delay in replying. It has been one of those weeks.

On 15 May 2018 at 16:01, srinivas <email address hidden> wrote:

> May i know the hplip version you are using. We have to use 3.18.4 HPLIP
> version or greater version for Ubuntu 18.04.
>

According to Synaptic Package Manager, it is running hplip 3.17.10+repack0-5

> And to install please follow the below steps
> 1.Goto https://developers.hp.com/hp-linux-imaging-and-printing/gethplip
> and download and install the latest driver and plugin for Ubuntu distro.
> 2.Do hp-setup to add device.
>

I managed to persuade the printer to work but not very well. Thank you for
the link. I have downloaded the .run file and will reinstall Ubuntu 18.04
and run hplip-3.18.4.run as instructed.

Will keep in touch.

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- My writing - https://sites.google.com/site/ianbruntlett/
-- Free Software page -
https://sites.google.com/site/ianbruntlett/home/free-software

Ian Bruntlett (ian-bruntlett) wrote :

Hi srinivas,,

Did a complete re-install of Ubuntu 18.04 64-bit.

Followed your instructions.

It appears that Ubuntu 18.04 does not have a system tray. Whilst running
"hplip-3.18.4.run" I encountered these error messages:-

RE-STARTING HP_SYSTRAY
----------------------

HP Linux Imaging and Printing System (ver. 3.18.4)
System Tray Status Service ver. 2.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: Unable to lock /home/ian/.hplip/hp-systray.lock. Is hp-systray
already running?
ian@newton:~/Desktop$ error: No system tray detected on this system.
Unable to start, exiting.

Printing works. Scanning fails with an error message - see attached
screenshot.

HTH,

Ian

srinivas (srinivas5) wrote :

Hi Ian ,

Kill the process "hp-systray" if its still running.
Delete the lock /home/ian/.hplip/hp-systray.lock.
"rm /home/ian/.hplip/hp-systray.lock"

Retry installing hplip-3.18.4.run
"sh hplip-3.18.4.run"

For Scan issue,
Kindly install 3.18.4 plugin from site (https://developers.hp.com/hp-linux-imaging-and-printing/gethplip) and try to scan.
Please get back if any issues.

Thanks,
Srinivas

Ian Bruntlett (ian-bruntlett) wrote :

Hi srinivas,

On 24 May 2018 at 06:14, srinivas <email address hidden> wrote:

> Hi Ian ,
>
> Kill the process "hp-systray" if its still running.
> Delete the lock /home/ian/.hplip/hp-systray.lock.
> "rm /home/ian/.hplip/hp-systray.lock"
>
> Retry installing hplip-3.18.4.run
> "sh hplip-3.18.4.run"
>
Did that, no luck.

For Scan issue,
> Kindly install 3.18.4 plugin from site (https://developers.hp.com/hp-
> linux-imaging-and-printing/gethplip) and try to scan.
> Please get back if any issues.
>
Went to that page, was told that the current version is 3.18.5.

Trying to be helpful, I decided to wipe the hard drive and do a complete
reinstall of Ubuntu 3.18.5. Did that. Ran Software Updater to install any
Ubuntu updates that were pending.

Ran "sh hplip-3.18.5" and it didn't work. For more information I have
attached two log files and a screenshot.

By the way... I used to be a programmer and recently brushed up on my bash
skills and will be starting to learn Python this week. If there is anything
I can do to help, let me know.

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- My writing - https://sites.google.com/site/ianbruntlett/
-- Free Software page -
https://sites.google.com/site/ianbruntlett/home/free-software

srinivas (srinivas5) wrote :

Hi Ian,

Did you install hplip-3.18.4-plugin.run?
hplip-3.18.4-plugin.run is required for the scan to work.

Thanks,
Srinivas Teja.

Ian Bruntlett (ian-bruntlett) wrote :

Hi srinivas,

On 6 June 2018 at 13:37, srinivas <email address hidden> wrote:

> Did you install hplip-3.18.4-plugin.run?
> hplip-3.18.4-plugin.run is required for the scan to work.
>

Yes, I did. I reinstalled Ubuntu 18.04 and ran hplip-3.18.4-plugin.run
As is my wont, I took screenshots during the process and saved the
logfiles. I have attached those files to this message.

I did some detective work regarding the error message "Gtk-Message Failed
to load module canberra-gtk-module". It can be apparently fixed by
installing the package libcanberra-gtk-module

It _might_ be a good idea to add libcanberra-gtk-module to the list of
package dependencies. That might clear up one problem.

I am still learning Python and, as I learn more, I'll be better equipped to
try and help solve these problems.

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- My writing - https://sites.google.com/site/ianbruntlett/
-- Free Software page -
https://sites.google.com/site/ianbruntlett/home/free-software

srinivas (srinivas5) wrote :

Hi Ian,

Do check the HPLIP driver version in '/etc/hp/hplip.conf' file
Please confirm if it is same as the plugin version in the '/var/lib/hp/hplip.state' file.

Thanks,
Srinivas Teja.

Ian Bruntlett (ian-bruntlett) wrote :

Hi srinivas,

[1] Do check the HPLIP driver version in '/etc/hp/hplip.conf' file
Here it is...
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.18.4

[2] Please confirm if it is same as the plugin version in the
'/var/lib/hp/hplip.state' file.
Here it is...
[plugin]
installed = 1
eula = 1
version = 3.18.4

HTH!

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- My writing - https://sites.google.com/site/ianbruntlett/
-- Free Software page -
https://sites.google.com/site/ianbruntlett/home/free-software

srinivas (srinivas5) wrote :

Hi Ian,

Are scanimage -L, xsane working?
For Eg: scanimage > image.pnm

Try "sane-find-scanner | grep -i hp" tool to see if it detects scanner.
Try "lsusb | grep -i hp"

For hp-scan, pLease run "sudo hp-logcapture" command. It will collect all the logs to a .zip file.
Kindly share the logs.

Thanks,
Srinivas Teja.

Ian Bruntlett (ian-bruntlett) wrote :

Hi srinivas,

As requested, I've run various commands and here are the results...

Are scanimage -L, xsane working?
For Eg: scanimage > image.pnm

I am no expert on xsane.

ian@newton:~$ scanimage -L
device
`hpaio:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH67JHFPR1a'
is a Hewlett-Packard HP_LaserJet_Professional_M1132_MFP all-in-one
device `hpaio:ect
hp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH67JHFPR1a "HP
LaserJet Professional M1132 MFP" "HP LaserJet Professional M1132 MFP USB
000000000QH67JHFPR1a HPLIP" "MFG:Hewlett-Packard' is a Hewlett-Packard
HP_LaserJet_Professional_M1132_MFP all-in-one

ian@newton:~$ scanimage > image.pnm
scanimage: open of device
hpaio:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH67JHFPR1a
failed: Error during device I/O

Try "sane-find-scanner | grep -i hp" tool to see if it detects scanner.
Try "lsusb | grep -i hp"

ian@newton:~$ sane-find-scanner | grep -i hp
found USB scanner (vendor=0x03f0 [Hewlett-Packard], product=0x042a [HP
LaserJet Professional M1132 MFP]) at libusb:001:006

ian@newton:~$ lsusb | grep -i hp
ian@newton:~$

For hp-scan, pLease run "sudo hp-logcapture" command. It will collect all
the logs to a .zip file.
Kindly share the logs.

See attached file :)

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- My writing - https://sites.google.com/site/ianbruntlett/
-- Free Software page -
https://sites.google.com/site/ianbruntlett/home/free-software

srinivas (srinivas5) wrote :

Hi Ian,

I see two devices when you do "scanimage -L".
See if you have two devices even when you do "hp-setup".
You can remove the below device using "hp-setup -r" and see if scan works.

device `hpaio:ect
hp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH67JHFPR1a "HP
LaserJet Professional M1132 MFP" "HP LaserJet Professional M1132 MFP USB
000000000QH67JHFPR1a HPLIP" "MFG:Hewlett-Packard' is a Hewlett-Packard
HP_LaserJet_Professional_M1132_MFP all-in-one

Also you can try the below commands,

$ cd /usr/lib
$ sudo ln -s libhpmud.so.0 libhpmud.so

Thanks,
Srinivas Teja.

Ian Bruntlett (ian-bruntlett) wrote :

Hi Srinivas,

*I see two devices when you do "scanimage -L".See if you have two devices
even when you do "hp-setup".You can remove the below device using "hp-setup
-r" and see if scan works. device
`hpaio:ecthp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH67JHFPR1a
"HPLaserJet Professional M1132 MFP" "HP LaserJet Professional M1132 MFP
USB000000000QH67JHFPR1a HPLIP" "MFG:Hewlett-Packard' is a
Hewlett-PackardHP_LaserJet_Professional_M1132_MFP all-in-one*
As asked, removed the one with underscores in its name. Got an error
message window:-
"Failed to scan. Unable to connect to scanner".

*Also you can try the below commands,$ cd /usr/lib$ sudo ln -s
libhpmud.so.0 libhpmud.so*
As asked, performed the above commands:-
ian@newton:~$ cd /usr/lib
ian@newton:/usr/lib$ ls -lhrt libhpmu*
-rwxr-xr-x 1 root root 403K Jun 10 18:38 libhpmud.so.0.0.6
lrwxrwxrwx 1 root root 17 Jun 10 18:38 libhpmud.so.0 -> libhpmud.so.0.0.6
lrwxrwxrwx 1 root root 17 Jun 10 18:38 libhpmud.so -> libhpmud.so.0.0.6
-rwxr-xr-x 1 root root 997 Jun 10 18:38 libhpmud.la
ian@newton:/usr/lib$ sudo ln -s libhpmud.so.0 libhpmud.so
[sudo] password for ian:
ln: failed to create symbolic link 'libhpmud.so': File exists
ian@newton:/usr/lib$

Printing still works, though.

HTH,

Ian

Ian Bruntlett (ian-bruntlett) wrote :

Hi Srinivas,

It seems that release 18.04.1 of both Ubuntu and Lubuntu fixes this
problem, albeit with a bit of persistence, package installs, script
running, and rebooting.

The printer/scanner involved is an HP LaserJet M1132 MFP Printer/Scanner,
connected via USB cable.

Note:
I used these command lines to install the packages (yes, it is the long way
round - but I wanted to spot anomalies).
sudo apt install python3-pyqt4
sudo apt install python3-pyqt5

*lubuntu 18.04.1*
I experimented with this first, using an old Dell Dimension E520 Tower PC.
I went through with this process twice - yes, that was *two* installs of
the O.S.
I installed the O.S., a few other apps and then connected my printer.
1. Ran hp-setup. It requested that modules PyQt4 and PyQt5 be installed.
2. I installed python3-pyqt4, python-pyqt5 using the sudo apt install
command. Rebooted
3. Ran sudo hp-setup . It ran to completion
4.Ran "Simple Scan" from the GUI. Failed to find scanner
5. Rebooted again. Ran "Simple Scan". It worked!!

>
*ubuntu 18.04.1*
I also went through this process twice, on a lenovo ThinkPad T420.
Simply connecting the printer when logged in is enough to get printing
working - but *not* scanning.
1. I installed python3-pyqt4, python-pyqt5. Rebooted
2. Ran sudo hp-setup OK
3. Ran "Simple Scan" from the GUI. It worked!

Now it is important to note that the information above came from my
logbooks so there is a chance I've overlooked something.

Thank you for your help.

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- My writing - https://sites.google.com/site/ianbruntlett/
-- Free Software page -
https://sites.google.com/site/ianbruntlett/home/free-software

Ian Bruntlett (ian-bruntlett) wrote :

When I wrote:-
I installed python3-pyqt4, python-pyqt5

I should have wrote:-
I installed python3-pyqt4, python3-pyqt5

Also, my instructions for doing this in Ubuntu should have made clear that
you need to:-
* Be logged into Ubuntu
* Have connected the printer/scanner
* Waited for Ubuntu to do its setup (this will install the printer only)
* Then follow my instructions for setting up scanning

Oops.

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- My writing - https://sites.google.com/site/ianbruntlett/
-- Free Software page -
https://sites.google.com/site/ianbruntlett/home/free-software

To post a comment you must log in.